# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "IDeviceBus",
    "IHasDeviceBus",
    ]

from zope.interface import (
    Attribute,
    Interface,
    )
from zope.schema import TextLine

from lazr.restful.declarations import exported


class IDeviceBus(Interface):

    name = Attribute("Device bus name")


class IHasDeviceBus(Interface):
    """An entity which has a device bus."""

    bus = Attribute("Device bus")

    bus_name = exported(
        TextLine(
            title=u"Device bus name",
            required=True,
            readonly=True))
