# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "IDeviceDriver",
    "IHasDeviceDriver",
    ]

from zope.interface import (
    Attribute,
    Interface,
    )
from zope.schema import TextLine

from lazr.restful.declarations import exported


class IDeviceDriver(Interface):

    name = Attribute("Device driver name")


class IHasDeviceDriver(Interface):
    """An entity which has a device driver."""

    driver_name = exported(
        TextLine(
            title=u"Device driver name",
            required=True,
            readonly=True))
