# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from unittest import defaultTestLoader

from lpresults.registry.interfaces.series import ISeriesSet
from lpresults.registry.interfaces.projectseries import IProjectSeries
from lpresults.registry.models.tests.test_series import TestSeriesSetMixin
from lpresults.registry.testing.cases import TestCaseWithFactory


class TestProjectSeriesSet(TestCaseWithFactory, TestSeriesSetMixin):

    def getSeriesContext(self):
        return self.factory.makeProject()

    def test_new(self):
        context = self.getSeriesContext()
        name = self.factory.getUniqueString(u"series-name")
        series = ISeriesSet(context).new(name)
        self.assertNotEquals(series, None)
        self.assertTrue(IProjectSeries.providedBy(series))
        self.assertEquals(series.name, name)


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
