# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "Result",
    ]

from datetime import datetime
from pytz import utc


class Result:

    date_started = None
    date_stopped = None

    def __init__(self, source):
        self.source = source

    def start(self):
        """A result start command received."""
        self.date_started = datetime.now(tz=utc)

    def stop(self):
        """A result stop command received."""
        self.date_stopped = datetime.now(tz=utc)
