# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__all__ = [
    "create",
    ]

from storm.zope.schema import ZSchema


def create():
    from lpresults.scripts import schema as patch_package

    return ZSchema(CREATES, DROPS, DELETES, patch_package)


CREATES = [
"""
GRANT SELECT, INSERT
    ON TABLE patch
    TO lpresults
""",
"""
CREATE TABLE activity (
    id SERIAL NOT NULL PRIMARY KEY,
    name TEXT NOT NULL,
    hostname TEXT NOT NULL,
    date_started TIMESTAMP WITHOUT TIME ZONE NOT NULL,
    date_completed TIMESTAMP WITHOUT TIME ZONE NOT NULL,
    CONSTRAINT valid_dates CHECK (date_completed > date_started))
""",
"""
GRANT SELECT, INSERT, DELETE
    ON TABLE activity
    TO lpresults
""",
"""
GRANT SELECT, UPDATE
    ON TABLE activity_id_seq
    TO lpresults
""",
]

DROPS = [
"DROP TABLE activity",
]

DELETES = [
"DELETE FROM activity",
]
