# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from unittest import (
    defaultTestLoader,
    TestCase,
    )

from lpresults.scripts.lock import Lock


class TestLock(TestCase):

    def test_acquireAndRelease(self):
        lock = Lock("/tmp/foo")
        lock.acquire(write=True)
        lock.acquire(write=True)
        lock.release()
        lock.release()

        lock.acquire()
        lock.release()

    def test_acquireRead(self):
        lock = Lock("/tmp/foo")
        self.assertFalse(lock.acquired())
        lock.acquire()
        self.assertTrue(lock.acquired())
        self.assertFalse(lock.acquired(write=True))

        lock.release()
        self.assertFalse(lock.acquired())
        self.assertFalse(lock.acquired(write=True))

    def test_acquireWrite(self):
        lock = Lock("/tmp/foo")
        self.assertFalse(lock.acquired())
        lock.acquire(write=True)
        self.assertTrue(lock.acquired())
        self.assertTrue(lock.acquired(write=True))

        lock.release()
        self.assertFalse(lock.acquired())
        self.assertFalse(lock.acquired(write=True))


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
