# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""State related views."""

__metaclass__ = type

__all__ = [
    "states",
    ]

from django.http import HttpResponseNotFound
from django.shortcuts import render_to_response
from django.template import RequestContext

from zope.component import getUtility

from lpresults.tracker.interfaces.testsystem import ITestSystemSet


def states(request, system_id, unit_sequence):
    dictionary = {}
    system = getUtility(ITestSystemSet).get(request, system_id)
    if system is None:
        return HttpResponseNotFound(
            "Invalid system id: %s" % system_id)

    dictionary["system"] = system

    unit = system.getUnit(int(unit_sequence))
    if unit is None:
        return HttpResponseNotFound(
            "Invalid unit sequence: %s" % unit_sequence)

    dictionary["unit"] = unit

    return render_to_response(
        "states.html",
        dictionary,
        RequestContext(request))
