# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = []

from cStringIO import StringIO

from unittest import (
    defaultTestLoader,
    TestCase,
    )

from lpresults.xunit.parsers.ansi import (
    AnsiParser,
    AnsiResult,
    )


class TestAnsiParser(TestCase):

    def getParser(self, string):
        stream = StringIO(string)
        return AnsiParser(stream)

    def getResult(self, string):
        parser = self.getParser(string)
        result = AnsiResult()
        parser.run(result)
        return result

    def test_escape(self):
        result = self.getResult("[[33mSKIP]")
        self.assertEquals(result.text, "[SKIP]")


def test_suite():
    return defaultTestLoader.loadTestsFromName(__name__)
