# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

__metaclass__ = type

__all__ = [
    "Usb",
    ]


class Usb:
    """USB definitions.

    See http://www.linux-usb.org/usb.ids
    """
    BASE_CLASS_INTERFACE = 0

    BASE_CLASS_AUDIO = 1
    CLASS_AUDIO_CONTROL_DEVICE = 1
    CLASS_AUDIO_STREAMING = 2
    CLASS_AUDIO_MIDI_STREAMING = 3

    BASE_CLASS_COMMUNICATIONS = 2
    CLASS_COMMUNICATIONS_DIRECT_LINE = 1
    CLASS_COMMUNICATIONS_ABSTRACT = 2
    CLASS_COMMUNICATIONS_TELEPHONE = 3

    BASE_CLASS_PRINTER = 7
    CLASS_PRINTER_OTHER = 1

    BASE_CLASS_STORAGE = 8
    CLASS_STORAGE_RBC = 1
    CLASS_STORAGE_SFF = 2
    CLASS_STORAGE_QIC = 3
    CLASS_STORAGE_FLOPPY = 4
    CLASS_STORAGE_SFF = 5
    CLASS_STORAGE_SCSI = 6

    BASE_CLASS_HUB = 9
    CLASS_HUB_UNUSED = 0

    BASE_CLASS_VIDEO = 14
    CLASS_VIDEO_UNDEFINED = 0
    CLASS_VIDEO_CONTROL = 1
    CLASS_VIDEO_STREAMING = 2
    CLASS_VIDEO_INTERFACE_COLLECTION = 3

    BASE_CLASS_WIRELESS = 224
    CLASS_WIRELESS_RADIO_FREQUENCY = 1
    CLASS_WIRELESS_USB_ADAPTER = 2

    PROTOCOL_BLUETOOTH = 1
