# Copyright 2010-2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

"""Validator functions."""

__metaclass__ = type

__all__ = []

import re


INVALID_XML_PATTERN = (
    ur"(?:(?:[\u0000-\u0008\u000B\u000C\u000E-\u001F\uFFFE-\uFFFF])"
    ur"|(?:[%s-%s][^%s-%s])|(?:[^%s-%s][%s-%s])|(?:[%s-%s]$)|(?:^[%s-%s]))"
    % (
        unichr(0xD800), unichr(0xDBFF), unichr(0xDC00), unichr(0xDFFF),
        unichr(0xD800), unichr(0xDBFF), unichr(0xDC00), unichr(0xDFFF),
        unichr(0xD800), unichr(0xDBFF), unichr(0xDC00), unichr(0xDFFF)))
INVALID_XML_RE = re.compile(INVALID_XML_PATTERN)
